moMouseKeyEventsLsWTM = {};

function moMouseKeyEventsLsWTM:setMouse(posX, posY, isDown, isUp, button, clickAreaTable)
	if button == Input.MOUSE_BUTTON_LEFT then
		moMouseKeyEventsLsWTM:buttonLeft(posX, posY, isDown, isUp, button, clickAreaTable);
	elseif button == Input.MOUSE_BUTTON_MIDDLE then
		moMouseKeyEventsLsWTM:buttonMiddle(posX, posY, isDown, isUp, button, clickAreaTable);
	elseif button == Input.MOUSE_BUTTON_RIGHT then
		moMouseKeyEventsLsWTM:buttonRight(posX, posY, isDown, isUp, button, clickAreaTable);
	elseif button == Input.MOUSE_BUTTON_WHEEL_UP then
		moMouseKeyEventsLsWTM:buttonWheelUp(posX, posY, isDown, isUp, button, clickAreaTable);
	elseif button == Input.MOUSE_BUTTON_WHEEL_DOWN then
		moMouseKeyEventsLsWTM:buttonWheelDown(posX, posY, isDown, isUp, button, clickAreaTable);		
	end;	
end;

function moMouseKeyEventsLsWTM:buttonLeft(posX, posY, isDown, isUp, button, clickAreaTable)	
	if clickAreaTable.whatClick == "lsMoneyBox_" and isDown then
		moModule:showInGameMenuFrame("pageFinances", 0, true, false, 0);
		return;
	elseif clickAreaTable.whatClick == "lsDateBox_" and isDown then
		moModule:showInGameMenuFrame("pageCalendar", 0, true, false, 0); 
		return;
	elseif clickAreaTable.whatClick == "lsTimeBox_" and isDown then		
		if (g_currentMission:getIsServer() or g_currentMission.isMasterUser) and not g_sleepManager:getIsSleeping() and not g_currentMission.guidedTour:getBlocksTimeChange() then
			local timeScaleIndex = Utils.getTimeScaleIndex(g_currentMission.missionInfo.timeScale);
			local newTimeScale = Utils.getTimeScaleFromIndex(timeScaleIndex+1);
			if newTimeScale ~= nil then
				g_currentMission:setTimeScale(newTimeScale)
			end;
		end;
		return;		
	elseif clickAreaTable.whatClick == "lsWeatherBox_" and isDown then
		moModule:showInGameMenuFrame("pageWeather", 0, true, false, 0); 
		return;	
	end;
end;

function moMouseKeyEventsLsWTM:buttonRight(posX, posY, isDown, isUp, button, clickAreaTable)
	if clickAreaTable.whatClick == "lsTimeBox_" and isDown then
		if (g_currentMission:getIsServer() or g_currentMission.isMasterUser) and not g_sleepManager:getIsSleeping() and not g_currentMission.guidedTour:getBlocksTimeChange() then
			local timeScaleIndex = Utils.getTimeScaleIndex(g_currentMission.missionInfo.timeScale);
			local newTimeScale = Utils.getTimeScaleFromIndex(timeScaleIndex-1);
			if newTimeScale ~= nil then
				g_currentMission:setTimeScale(newTimeScale)
			end;
		end;
		return;		
	end;
end;

function moMouseKeyEventsLsWTM:buttonMiddle(posX, posY, isDown, isUp, button, clickAreaTable)
	if clickAreaTable.whatClick == "lsTimeBox_" and isDown then
		if (g_currentMission:getIsServer() or g_currentMission.isMasterUser) and not g_sleepManager:getIsSleeping() and not g_currentMission.guidedTour:getBlocksTimeChange() then
			g_currentMission:setTimeScale(1);
		end;
		return;	
	end;
end;

function moMouseKeyEventsLsWTM:buttonWheelUp(posX, posY, isDown, isUp, button, clickAreaTable)
	
end;

function moMouseKeyEventsLsWTM:buttonWheelDown(posX, posY, isDown, isUp, button, clickAreaTable)
		
end;

function moMouseKeyEventsLsWTM:setKey(unicode, sym, modifier, isDown)

end;



































		