moAutoGenerateSlot = {};

function moAutoGenerateSlot:generateSlot(whatGenerate, guiMenue)
	if whatGenerate == "firstLoadSlots_" then 
		moAutoGenerateSlot.dummySlot(false);
		moAutoGenerateSlot.mapMissionsSlot(false);
		moAutoGenerateSlot.mapFarmlandsSlot(false);
		moAutoGenerateSlot.fillTypeAmountPriceSlot(false);
		moAutoGenerateSlot.sellingStationsSlot(false);
		moAutoGenerateSlot.teleportPointsSlot(false);
	elseif guiMenue then
		moAutoGenerateSlot[whatGenerate](guiMenue);
	end;
end;

function moAutoGenerateSlot.dummySlot(guiMenue)
	if moSetGetOverlays.slot["dummySlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("dummySlot_", "FillTypes On/Off Global");	
	moSetGetOverlays.slot["dummySlot_"].isOpen = true;
	moSetGetOverlays.slot["dummySlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_fillTypesOnOff_",displayName="FillTypes On/Off Global",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.mapMissionsSlot(guiMenue)
	if moSetGetOverlays.slot["mapMissionsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("mapMissionsSlot_", "Map Missions", false, false, true);	
	moSetGetOverlays.slot["mapMissionsSlot_"].isOpen = false;
	moSetGetOverlays.slot["mapMissionsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_mapMissions_",displayName="Map Missions",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.mapFarmlandsSlot(guiMenue)
	if moSetGetOverlays.slot["mapFarmlandsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("mapFarmlandsSlot_", "Map Farmlands", false, false, true);	
	moSetGetOverlays.slot["mapFarmlandsSlot_"].isOpen = false;
	moSetGetOverlays.slot["mapFarmlandsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_mapFarmlands_",displayName="Map Farmlands",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.fillTypeAmountPriceSlot(guiMenue)
	if moSetGetOverlays.slot["fillTypeAmountPriceSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("fillTypeAmountPriceSlot_", "FillType/Amount/Price", false, false, true);	
	moSetGetOverlays.slot["fillTypeAmountPriceSlot_"].isOpen = false;
	moSetGetOverlays.slot["fillTypeAmountPriceSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_fillTypeAmountPrice_",displayName="FillType/Amount/Price",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.sellingStationsSlot(guiMenue)
	if moSetGetOverlays.slot["sellingStationsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("sellingStationsSlot_", "SellingStations", false, false, true);	
	moSetGetOverlays.slot["sellingStationsSlot_"].isOpen = false;
	moSetGetOverlays.slot["sellingStationsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_sellingStations_",displayName="SellingStations",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.teleportPointsSlot(guiMenue)
	if moSetGetOverlays.slot["teleportPointsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("teleportPointsSlot_", "TeleportPoints", false, false, true);	
	moSetGetOverlays.slot["teleportPointsSlot_"].isOpen = false;
	moSetGetOverlays.slot["teleportPointsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_teleportPoints_",displayName="TeleportPoints",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.buyingSellingStationsSlot(guiMenue)
	if moSetGetOverlays.slot["buyingSellingStationsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("buyingSellingStationsSlot_", "Buying/Selling Stations", false, false, true);	
	moSetGetOverlays.slot["buyingSellingStationsSlot_"].isOpen = true;
	moSetGetOverlays.slot["buyingSellingStationsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_sellingStations_",displayName="SellingStations",mouseClick={true,true,true}};
	moSetGetOverlays.slot["buyingSellingStationsSlot_"].cmd[2] = {regName="MultiOverlayV4_cmd_output_buyingStations_",displayName="BuyingStations",mouseClick={true,true,true}};
end;

function moAutoGenerateSlot.productionInfoSlot(guiMenue)
	if moSetGetOverlays.slot["productionInfoSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("productionInfoSlot_", "Production Info", false, false, true);	
	moSetGetOverlays.slot["productionInfoSlot_"].isOpen = true;
	moSetGetOverlays.slot["productionInfoSlot_"].cmd[1] = {regName="ProductionInfoHud_cmd_output_pihMohSlotOutput_",displayName="Production Info",mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.vehicleStateSlot(guiMenue)
	if moSetGetOverlays.slot["vehicleStateSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("vehicleStateSlot_", g_i18n:getText("ui_garageOverview").. " (".. 	g_i18n:getText("ui_statistics").. ")", false, false, true);	
	moSetGetOverlays.slot["vehicleStateSlot_"].isOpen = true;
	moSetGetOverlays.slot["vehicleStateSlot_"].cmd[1] = {regName="VehicleInspector_cmd_output_viTotalState_",displayName=g_i18n:getText("ui_garageOverview").. " (".. 	g_i18n:getText("ui_statistics").. ")",mouseClick={true,true,true}};
	moSetGetOverlays.slot["vehicleStateSlot_"].cmd[2] = {regName="VehicleInspector_cmd_output_viTotalStateDummy_",displayName="Scroll Fix for Cmd --> ".. g_i18n:getText("ui_garageOverview").. " (".. 	g_i18n:getText("ui_statistics").. ") *View Info Txt*",mouseClick={false,false,false}};
end;

function moAutoGenerateSlot.vehicleSalesSlot(guiMenue)
	if moSetGetOverlays.slot["vehicleSalesSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("vehicleSalesSlot_", tostring(g_i18n:getText("inputCategory_VEHICLE")).. " ".. tostring(g_i18n:getText("category_sales")), false, false, true);	
	moSetGetOverlays.slot["vehicleSalesSlot_"].isOpen = true;
	moSetGetOverlays.slot["vehicleSalesSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_vehicleSales_",displayName=tostring(g_i18n:getText("inputCategory_VEHICLE")).. " ".. tostring(g_i18n:getText("category_sales")),mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.windTurbinesSlot(guiMenue)
	if moSetGetOverlays.slot["windTurbinesSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("windTurbinesSlot_", "View All WindTurbines", false, false, true);	
	moSetGetOverlays.slot["windTurbinesSlot_"].isOpen = true;
	moSetGetOverlays.slot["windTurbinesSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_allWindturbines_",displayName="View All WindTurbines",mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.solarpanelsSlot(guiMenue)
	if moSetGetOverlays.slot["solarpanelsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("solarpanelsSlot_", "View All SolarPanels", false, false, true);	
	moSetGetOverlays.slot["solarpanelsSlot_"].isOpen = true;
	moSetGetOverlays.slot["solarpanelsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_allSolarpanels_",displayName="View All SolarPanels",mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.mapFieldsInfoSlot(guiMenue)
	if moSetGetOverlays.slot["mapFieldsInfoSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("mapFieldsInfoSlot_", "Map Fields Infos", false, false, true);	
	moSetGetOverlays.slot["mapFieldsInfoSlot_"].isOpen = true;
	moSetGetOverlays.slot["mapFieldsInfoSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_mapFieldsInfo_",displayName="Map Fields Infos",mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.beehivesSlot(guiMenue)
	if moSetGetOverlays.slot["beehivesSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("beehivesSlot_", "View all Beehives", false, false, true);	
	moSetGetOverlays.slot["beehivesSlot_"].isOpen = true;
	moSetGetOverlays.slot["beehivesSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_allBeehives_",displayName="View All Beehives",mouseClick={true,true,true}};	
end;

function moAutoGenerateSlot.chargingStationsSlot(guiMenue)
	if moSetGetOverlays.slot["chargingStationsSlot_"] ~= nil then if guiMenue then g_currentMission.hl.addTextDisplay( {txt="Slot already Exists in Profil", txtBold=true, duration=3, warning=true} );end;return;end;
	moSetGetSlot:generateSlot("chargingStationsSlot_", "View All ChargingStaions", false, false, true);	
	moSetGetOverlays.slot["chargingStationsSlot_"].isOpen = true;
	moSetGetOverlays.slot["chargingStationsSlot_"].cmd[1] = {regName="MultiOverlayV4_cmd_output_chargingStations_",displayName="View All ChargingStaions",mouseClick={true,true,true}};	
end;
--function moAutoGenerateSlot:dummySlot()
--
--end;
