moGlobalSetting = {}

function moGlobalSetting:clickButtonCallback(args)
	local color = "";
	local txt = "";
	if args.lineButton.ownTable.side == 1 then
		if args.lineButton.ownTable.whatClick == "mohOnOff_" then			
			moGeneralSettings.modOn = not moGeneralSettings.modOn;			
			g_currentMission.hlGui.setGet:setUnSave();
			moHlGuiCmdSetting:setClose();
			moHlGuiAppIconSetting:setClose();
			return;
		elseif args.lineButton.ownTable.whatClick == "generatePda_" then
			if g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewPda"] == nil then
				g_currentMission.hl.addTimer({name="generateNewPda", delay=5, repeatable=false});
			elseif g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewPda"] ~= nil then				
				return;
			end;
			local pdaName = moSetGetPda:generateOtherPdaName();	
			if pdaName ~= nil then 
				moSetGetPda:generatePda(pdaName, pdaName, true, false, true);
				moGeneralSettings.isSave = false;
				g_currentMission.hlGui.setGet:setUnSave();
			else
				print("***Error ".. tostring(MultiOverlayV4.metadata.title).. " -Generate Pda(Pda Limit or Name corrupt)- Error***")
			end;									
			return;
		elseif args.lineButton.ownTable.whatClick == "generateSlot_" then
			if g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewSlot"] == nil then
				g_currentMission.hl.addTimer({name="generateNewSlot", delay=5, repeatable=false});
			elseif g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewSlot"] ~= nil then
				return;
			end;
			local slotName = moSetGetSlot:generateOtherSlotName();
			if slotName ~= nil then 
				moSetGetSlot:generateSlot(slotName, slotName, true, false, true);
				moGeneralSettings.isSave = false;
				g_currentMission.hlGui.setGet:setUnSave();
			else
				print("***Error ".. tostring(MultiOverlayV4.metadata.title).. " -Generate Slot(Slot Limit or Name corrupt)- Error***")	
			end;									
			return;
		elseif args.lineButton.ownTable.whatClick == "textTickerOnOff_" then			
			moGeneralSettings.textTicker.isOn = not moGeneralSettings.textTicker.isOn;			
			moSetGet:setTextTickerOnOff();
			g_currentMission.hlGui.setGet:setUnSave();			
			return;
		elseif args.lineButton.ownTable.whatClick == "textTickerPos_" then
			if not moGeneralSettings.textTicker.isOn then return;end;
			if args.down then 
				if moGeneralSettings.textTicker.pos-1 < 1 then moGeneralSettings.textTicker.pos = moGeneralSettings.textTicker.maxPos;else moGeneralSettings.textTicker.pos = moGeneralSettings.textTicker.pos-1;end;
				moSetGet:setTextTickerOnOff(moGeneralSettings.textTicker.pos);
				g_currentMission.hlGui.setGet:setUnSave();
			elseif args.up then
				if moGeneralSettings.textTicker.pos+1 > moGeneralSettings.textTicker.maxPos then moGeneralSettings.textTicker.pos = 1;else moGeneralSettings.textTicker.pos = moGeneralSettings.textTicker.pos+1;end;
				moSetGet:setTextTickerOnOff(moGeneralSettings.textTicker.pos);
				g_currentMission.hlGui.setGet:setUnSave();
			end;			
			return;
		elseif args.lineButton.ownTable.whatClick == "pdaTypeLightOnOff_" then			
			if moSetGetOverlaysLight.default.pda[1] == nil then
				guiDialog:onNewPdaTypeLightInfoDialog();
			else
				moGeneralSettings.pdaType.light = not moGeneralSettings.pdaType.light;			
				if moGeneralSettings.pdaType.light then	moSetGetOverlaysLight:searchMohOverlapHuds();end;
				g_currentMission.hlGui.setGet:setUnSave();
			end;
			return;	
		elseif args.lineButton.ownTable.whatClick == "pdaTypeLightAutoWidthOnOff_" then			
			if moSetGetOverlaysLight.default.pda[1] ~= nil then
				moSetGetOverlaysLight.default.pda[1].autoWidth = not moSetGetOverlaysLight.default.pda[1].autoWidth;						
				g_currentMission.hlGui.setGet:setUnSave();
			end;
			return;	
		end;
	end;
end;

function moGlobalSetting:txtButtonCallback(lineButton)
	local txtButton = "";
	if lineButton.ownTable.side == 1 then
		if lineButton.ownTable.whatClick == "mohOnOff_" then
			if moGeneralSettings.modOn then
				txtButton = "On";
				lineButton.clickButtonColor = "green";
			else
				txtButton = "Off"
				lineButton.clickButtonColor = "red";
			end;
		elseif lineButton.ownTable.whatClick == "generatePda_" then
			if g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewPda"] ~= nil then
				txtButton = "Cooldown Timer active";
				lineButton.clickButtonColor = "red";
			else
				txtButton = "Generate New Pda";
				lineButton.clickButtonColor = "green";
			end;
		elseif lineButton.ownTable.whatClick == "generateSlot_" then
			if g_currentMission.hl.timers ~= nil and g_currentMission.hl.timers["generateNewSlot"] ~= nil then
				txtButton = "Cooldown Timer active";
				lineButton.clickButtonColor = "red";
			else
				txtButton = "Generate New Slot";
				lineButton.clickButtonColor = "green";
			end;
		elseif lineButton.ownTable.whatClick == "textTickerOnOff_" then
			if moGeneralSettings.textTicker.isOn then				
				txtButton = "On";
				lineButton.clickButtonColor = "green";
			else
				txtButton = "Off";
				lineButton.clickButtonColor = "red";
			end;
		elseif lineButton.ownTable.whatClick == "textTickerPos_" then
			if moGeneralSettings.textTicker.pos == 1 then				
				txtButton = "1 (under LS WTM Hud)";				
			elseif moGeneralSettings.textTicker.pos == 2 then
				txtButton = "2 (in LS WTM Hud,below)";				
			elseif moGeneralSettings.textTicker.pos == 3 then
				txtButton = "3 (over LS WTM Hud)";
			elseif moGeneralSettings.textTicker.pos == 4 then
				txtButton = "4 (in LS WTM Hud,above)";
			elseif moGeneralSettings.textTicker.pos == 5 then
				txtButton = "5 (under MOH Pda Type Light)";
			elseif moGeneralSettings.textTicker.pos == 6 then
				txtButton = "6 (top right)";	
			else
				txtButton = "7 (in MOH WTM Hud,below)";
			end;
		elseif lineButton.ownTable.whatClick == "pdaTypeLightOnOff_" then
			if moGeneralSettings.pdaType.light then
				txtButton = "On";
				lineButton.clickButtonColor = "green";
			else
				txtButton = "Off"
				lineButton.clickButtonColor = "red";
			end;
		elseif lineButton.ownTable.whatClick == "pdaTypeLightAutoWidthOnOff_" then
			if moSetGetOverlaysLight.default.pda[1] ~= nil and moSetGetOverlaysLight.default.pda[1].autoWidth then
				txtButton = "On (Only Master Pda)";
				lineButton.clickButtonColor = "green";
			else
				txtButton = "Off (Only Master Pda)"
				lineButton.clickButtonColor = "red";
			end;	
		end;
	end;
	return txtButton;
end;

function moGlobalSetting:pullDownCallback(lineButton)
	local pullDownTable = {}
	if lineButton.ownTable.side == 1 then
		if lineButton.ownTable.whatClick == "selectPullDownPda_" then
			local pdas = moSetGetPda:getPdas();
			if #pdas > 0 then
				for pda=1, #pdas do					
					pullDownTable[#pullDownTable+1] = {
						txt = tostring(moSetGetOverlays.pda[pdas[pda]].name);
						isSelect = moSetGetOverlays.pda[pdas[pda]].isOpen;
						callback = g_currentMission.hlGui.callbacks.moh["clickPullDownLine"];
						ownTable = {pageName="GlobalSetting",whatClick="selectPullDownPda_",pda=pdas[pda]};
					};					
				end;
				function comp(w1,w2)			
					if w1.txt < w2.txt then
						return true;
					end;			
				end;	
				table.sort(pullDownTable, comp);
			end;
		elseif lineButton.ownTable.whatClick == "selectPullDownSlot_" then
			local slots = moSetGetSlot:getSlots();
			if #slots > 0 then
				for slot=1, #slots do					
					pullDownTable[#pullDownTable+1] = {
						txt = tostring(moSetGetOverlays.slot[slots[slot]].name);
						isSelect = moSetGetOverlays.slot[slots[slot]].isOpen;
						callback = g_currentMission.hlGui.callbacks.moh["clickPullDownLine"];
						ownTable = {pageName="GlobalSetting",whatClick="selectPullDownSlot_",slot=slots[slot]};
					};					
				end;
				function comp(w1,w2)			
					if w1.txt < w2.txt then
						return true;
					end;			
				end;	
				table.sort(pullDownTable, comp);
			end;
		end;
	end;
	return pullDownTable;
end;

function moGlobalSetting:clickPullDownLineCallback(args)
	if args.ownTable.whatClick == "selectPullDownPda_" then
		if moSetGetOverlays.pda[args.ownTable.pda].isOpen then
			g_currentMission.hl.addTextDisplay( {txt="Pda ".. moSetGetOverlays.pda[args.ownTable.pda].name.. " is Open", txtBold=true, duration=3, warning=true} );			
		else
			moSetGetOverlays.pda[args.ownTable.pda].isOpen = true;
		end;
	elseif args.ownTable.whatClick == "selectPullDownSlot_" then
		if moSetGetOverlays.slot[args.ownTable.slot].isOpen then
			g_currentMission.hl.addTextDisplay( {txt="Slot ".. moSetGetOverlays.slot[args.ownTable.slot].name.. " is Open", txtBold=true, duration=3, warning=true} );			
		else
			moSetGetOverlays.slot[args.ownTable.slot].isOpen = true;
		end;	
	end;
end;

function moGlobalSetting:generateSide(side)
	local buttons = {};
	local color = ""
	local txtButton = "";
	if side == 1 then
		--line--		
		buttons = {
			[1] = {
				txtButton = "! MultiOverlayV4 Hud Update *only on: http://modhoster.de ! (".. tostring(MultiOverlayV4.metadata.version).. ")";
				txtBoldButton = true;				
				txtButtonColor = "darkBlue";
				groundButtonColor = "whiteInactive";
				txtInfo = "Alle anderen Seiten werden nicht unterstützt (All other sites are not supported)";				
			};			
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		buttons = {
			[1] = {
				txtOverButton = "Text Ticker";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="textTickerOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere den Text Ticker (Info Laufschrift von verschiedenen Actionen).\nDieser ist Global ausgerichtet und in allen Profilen aktiv\nIst das Moh WTM Hud an sollte man diesen Off stellen";
				width = 30;
			};
			[2] = {
				txtOverButton = "Text Ticker Pos";				
				txtButton = "1 (under LS WTM Hud)";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonUpDown";				
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="textTickerPos_",side=side};
				txtInfo = "Setzt den Text Ticker auf eine andere Position (Info Laufschrift von verschiedenen Actionen).\n*needs Text Ticker On*";
				width = 30;				
			};
			[3] = {
				visible = false;								
				width = 40;
			};			
		};		
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--		
		buttons = {
			[1] = {
				txtOverButton = "MultiOverlayV4";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="mohOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere den MultiOverlayV4 Mod";
				width = 30;
			};
			[2] = {
				visible = false;								
				width = 70;
			};			
		};		
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		--line--
		buttons = {
			[1] = {
				txtButton = "Generate New Pda";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonGenerate";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="generatePda_",side=side};
				txtInfo = "Erstellt ein neues Pda. Du kannst auch über jedes vorhandene Pda ein neues Pda erstellen. Löschen kannst du über das Pda selbst. Schaue dazu in die Settings des Pdas";
			};
			[2] = {
				txtButton = "Generate New Slot";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonGenerate";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="generateSlot_",side=side};
				txtInfo = "Erstellt einen neuen Slot. Du kannst auch über jeden vorhandenen Slot einen neuen Slot erstellen. Löschen kannst du über den Slot selbst. Schaue in die Settings des Slots.";
			};
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons}); --empty line
		--line--
		--line--
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=nil}); --empty line
		--line--
		--line--
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=nil}); --empty line
		--line--
		--line--
		buttons = {
			[1] = {
				txtOverButton = "Open a Pda";
				txtButton = "Select Pda and Click";				
				txtBoldButton = true;
				pullDownButton = true;				
				pullDownCallback = g_currentMission.hlGui.callbacks.moh["pullDownButton"];
				ownTable = {pageName="GlobalSetting", whatClick="selectPullDownPda_",side=side};
				txtInfo = "Eine Liste deiner vorhandenen Pdas. Zum Öffnen auf den Pda Namen klicken.";
			};
			[2] = {
				txtOverButton = "Open a Slot";
				txtButton = "Select Slot and Click";				
				txtBoldButton = true;
				pullDownButton = true;				
				pullDownCallback = g_currentMission.hlGui.callbacks.moh["pullDownButton"];
				ownTable = {pageName="GlobalSetting", whatClick="selectPullDownSlot_",side=side};
				txtInfo = "Eine Liste deiner vorhandenen Slots. Zum Öffnen auf den Slot Name klicken.";				
			};
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		--line--
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=nil}); --empty line
		--line--
		--line--			
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=nil}); --empty line
		--line--
		--line--
		buttons = {
			[1] = {
				txtOverButton = "Pda Type Light";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="pdaTypeLightOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere den Pda Type Light. Dieser ist Global ausgerichtet und in allen Profilen aktiv\nIst das Moh WTM Hud an sollte man AutoWidth Off stellen";
				width = 30;
			};
			[2] = {
				txtOverButton = "Pda Type Light AutoWidth";				
				txtButton = "On (Only Master Pda)";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.moh["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.moh["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="pdaTypeLightAutoWidthOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere beim Master Pda Type Light die AutoBreiten Anpassung. Die breite richtet sich dann nach dem LS WTM Hud.\nBenutzt ihr das Moh WTM Hud sollte man das AutoWidth Off stellen";
				width = 30;
			};
			[3] = {
				visible = false;								
				width = 40;
			};
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="MultiOverlayV4", page=MultiOverlayV4.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
	end;
end;
























